{% set sub_content_rendered = page.sub_content|render %}
{% set sidebar_rendered = page.sidebar|render %}
{% set carousel_rendered = page.carousel|render %}

{% set content_columns = 12 %}
{% set title_columns = 12 %}

{% if sub_content_rendered is real_content %} {% set content_columns = content_columns - 3 %} {% endif %}
{# The PL layout requires we render the sidebar when we have a carousel #}
{% if sidebar_rendered is real_content or carousel_rendered is real_content %} {% set content_columns = content_columns - 3 %} {% endif %}

{%
  set has_page_title = not is_front and not carousel_rendered is real_content
%}

{% if is_front %}
{{ attach_library('pl9/carousel') }}
{% endif %}

<div class="campl-row campl-global-header">
  <div class="campl-wrap clearfix">
    <div class="campl-header-container campl-column8" id="global-header-controls">
      <a href="http://www.cam.ac.uk" class="campl-main-logo">
        <img alt="University of Cambridge" src="/{{ pl9_directory }}/images/interface/main-logo-small.png"/>
      </a>

      <ul class="campl-unstyled-list campl-horizontal-navigation campl-global-navigation clearfix">
        <li>
          <a href="https://www.cam.ac.uk/study-at-cambridge">Study at Cambridge</a>
        </li>
        <li>
          <a href="https://www.cam.ac.uk/about-the-university">About the University</a>
        </li>
        <li>
          <a href="https://www.cam.ac.uk/research">Research at Cambridge</a>
        </li>
      </ul>
    </div>

    <div class="campl-column4">

      <div class="campl-site-search" id="site-search-btn">

        <label for="header-search" class="hidden">Search site</label>

        <div class="campl-search-input">
          <form action="https://search.cam.ac.uk/web" method="get">
            <input id="header-search" type="text" title="Search" name="query" value="" placeholder="Search"/>

            {% if search_box == "1" %}
              <input type="hidden" name="filterTitle" value="{{ site_name }}" />
              <input type="hidden" name="include" value="{{ base_url }}" />
            {% elseif search_box == "2" %}
              <input type="hidden" name="inst" value="{{ search_box_filter_inst }}" />
              {% if search_box_filter_tag %}
                <input type="hidden" name="tag" value="{{ search_box_filter_tag }}" />
              {% endif %}
            {% endif %}

            <input type="image" alt="Search" class="campl-search-submit"
                   src="/{{ pl9_directory }}/images/interface/btn-search-header.png"/>
          </form>
        </div>
      </div>

    </div>
  </div>
</div>

<div class="campl-row campl-global-header campl-search-drawer">
  <div class="campl-wrap clearfix">
    <form class="campl-site-search-form" id="site-search-container" action="https://search.cam.ac.uk/web" method="get">
      <div class="campl-search-form-wrapper clearfix">
        <input type="text" class="text" title="Search" name="query" value="" placeholder="Search"/>

        {% if search_box == "1" %}
          <input type="hidden" name="filterTitle" value="{{ site_name }}" />
          <input type="hidden" name="include" value="{{ base_url }}" />
        {% elseif search_box == "2" %}
          <input type="hidden" name="inst" value="{{ search_box_filter_inst }}" />
          {% if search_box_filter_tag %}
            <input type="hidden" name="tag" value="{{ search_box_filter_tag }}" />
          {% endif %}
        {% endif %}

        <input type="image" alt="Search" class="campl-search-submit"
               src="/{{ pl9_directory }}/images/interface/btn-search.png"/>
      </div>
    </form>
  </div>
</div>

<div class="campl-row campl-page-header campl-section-page">
  <div class="campl-wrap clearfix">
    <div class="campl-column12">
      <div class="campl-content-container {% if site_logo %}campl-co-branding-container{% endif %}">

        {% if page.breadcrumb %}
          {{ page.breadcrumb }}
        {% endif %}

        {% if site_logo %}
          <img src="{{ site_logo }}" class="campl-co-branding-logo" alt=""/>
        {% endif %}

        {% if page.nav_icon %}
        <span id="responsive-menu-icon">
          {{ page.nav_icon }}
        </span>
        {% endif %}

        <span id="page-title">
        {% if is_front %}
          <h1 class="campl-page-title">
          {{ site_name }}
          </h1>
        {% else %}
          <p class="campl-page-title">
          <a href="{{ path('<front>') }}">{{ site_name }}</a>
          </p>
        {% endif %}
        </span>

        {% if display_slogan and site_slogan %}
          <div id="site-slogan" class="campl-page-subtitle">
            {{ site_slogan }}
          </div>
        {% endif %}

      </div>
    </div>
  </div>
</div>

{% if page.horizontal_navigation %}
  <div class="campl-row campl-page-header">
    <div class="campl-wrap">
      {{ page.horizontal_navigation }}
    </div>
  </div>
{% endif %}

{% if carousel_rendered is real_content %}
  <div class="campl-row campl-page-header">
    <div class="campl-wrap clearfix">
      <div class="campl-column9 campl-recessed-carousel">
        {{ carousel_rendered }}
      </div>
    </div>
  </div>
{% endif %}

{% if has_page_title %}
  <div class="campl-row campl-page-header">
    <div class="campl-wrap clearfix campl-page-sub-title campl-recessed-sub-title">
      <div class="campl-column{{ title_columns }}">
        <div class="campl-content-container clearfix contextual-links-region">
          {{ title_prefix }}
          <h1 class="campl-sub-title">{{ page.page_title }}</h1>
          {{ title_suffix }}
        </div>
      </div>
    </div>
  </div>
{% endif %}

{% if page.content
    or sidebar_rendered is real_content
    or carousel_rendered is real_content %}
  <div class="campl-row campl-content{% if has_page_title or carousel_rendered is real_content %} campl-recessed-content{% endif %}">
    <div class="campl-wrap clearfix">
      {% if page.content %}
        <div class="campl-column{{ content_columns }} campl-main-content" id="page-content">

          <div class="{% if sub_content_rendered is real_content %}campl-sub-column-right-border{% endif %}">
            {{ page.content }}
          </div>

        </div>
      {% endif %}

      {% if sub_content_rendered is real_content %}
        <div class="campl-column3 campl-main-content-sub-column">
          {{ sub_content_rendered }}
        </div>
      {% endif %}

      {# The PL layout requires a sidebar when we have a carousel #}
      {% if sidebar_rendered is real_content or carousel_rendered is real_content %}
        <div class="campl-column3 campl-secondary-content{% if carousel_rendered is real_content %} campl-recessed-secondary-content{% endif %}">
          {{ sidebar_rendered }}
        </div>
      {% endif %}

      {% if page.partnerships %}
        <div class="campl-column12 campl-partnership-branding">
          <div class="campl-content-container campl-side-padding">
            {{ page.partnerships }}
          </div>
        </div>
      {% endif %}

    </div>

  </div>
{% endif %}

{% if page.footer_1 or page.footer_2 or page.footer_3 or page.footer_4 %}
  <div class="campl-row campl-local-footer">
    <div class="campl-wrap clearfix">
      <div class="campl-column3 campl-footer-navigation">
        {% if page.footer_1 %}
          {{ page.footer_1 }}
        {% endif %}  
      </div>
      <div class="campl-column3 campl-footer-navigation">
        {% if page.footer_2 %}
          {{ page.footer_2 }}
        {% endif %}  
      </div>
      <div class="campl-column3 campl-footer-navigation">
        {% if page.footer_3 %}
          {{ page.footer_3 }}
        {% endif %}  
      </div>
      <div class="campl-column3 campl-footer-navigation last">
        {% if page.footer_4 %}
          {{ page.footer_4 }}
        {% endif %}  
      </div>
    </div>
  </div>
{% endif %}

<div class="campl-row campl-global-footer">
  <div class="campl-wrap clearfix">
    <div class="campl-column3 campl-footer-navigation">
      <div class="campl-content-container campl-footer-logo">
        <img alt="University of Cambridge" src="/{{ pl9_directory }}/images/interface/main-logo-small.png"
             class="campl-scale-with-grid"/>

        <p>&#169; {{ 'now' | date('Y') }} University of Cambridge</p>
        <ul class="campl-unstyled-list campl-global-footer-links">
          <li>
            <a href="http://www.cam.ac.uk/university-a-z">University A-Z</a>
          </li>
          <li>
            <a href="http://www.cam.ac.uk/contact-the-university">Contact the University</a>
          </li>
          <li>
            <a href="http://www.cam.ac.uk/about-this-site/accessibility">Accessibility</a>
          </li>
          <li>
            <a href="http://www.admin.cam.ac.uk/univ/information/foi/">Freedom of information</a>
          </li>
          <li>
            <a href="http://www.cam.ac.uk/about-this-site/terms-and-conditions">Terms and conditions</a>
          </li>
        </ul>
      </div>
    </div>
    <div class="campl-column3 campl-footer-navigation">
      <div class="campl-content-container campl-navigation-list">

        <div class="link-list">
          <h3><a href="http://www.cam.ac.uk/study-at-cambridge">Study at Cambridge</a></h3>
          <ul class="campl-unstyled-list">
            <li>
              <a href="http://www.study.cam.ac.uk/undergraduate/">Undergraduate</a>
            </li>
            <li>
              <a href="https://www.postgraduate.study.cam.ac.uk">Postgraduate</a>
            </li>
            <li>
              <a href="http://www.cam.ac.uk/about-the-university/international-cambridge/studying-at-cambridge">International
                students</a>
            </li>
            <li>
              <a href="http://www.ice.cam.ac.uk">Continuing education</a>
            </li>
            <li>
              <a href="http://www.admin.cam.ac.uk/offices/education/epe/">Executive and professional education</a>
            </li>
            <li>
              <a href="http://www.educ.cam.ac.uk">Courses in education</a>
            </li>
          </ul>
        </div>
      </div>
    </div>
    <div class="campl-column3 campl-footer-navigation">
      <div class="campl-content-container campl-navigation-list">
        <h3><a href="http://www.cam.ac.uk/about-the-university">About the University</a></h3>
        <ul class="campl-unstyled-list campl-page-children">
          <li>
            <a href="http://www.cam.ac.uk/about-the-university/how-the-university-and-colleges-work">How the University
              and Colleges work</a>
          </li>
          <li>
            <a href="http://www.cam.ac.uk/about-the-university/visiting-the-university">Visiting the University</a>
          </li>
          <li>
            <a href="http://map.cam.ac.uk">Map</a>
          </li>
          <li>
            <a href="http://www.cam.ac.uk/news">News</a>
          </li>
          <li>
            <a href="http://www.admin.cam.ac.uk/whatson">Events</a>
          </li>
          <li>
            <a href="http://www.jobs.cam.ac.uk">Jobs</a>
          </li>
          <li>
            <a href="http://www.philanthropy.cam.ac.uk">Giving to Cambridge</a>
          </li>
        </ul>
      </div>
    </div>
    <div class="campl-column3 campl-footer-navigation last">
      <div class="campl-content-container campl-navigation-list">
        <h3><a href="http://www.cam.ac.uk/research">Research at Cambridge</a></h3>
        <ul class="campl-unstyled-list">
          <li>
            <a href="http://www.cam.ac.uk/research/news">News</a>
          </li>
          <li>
            <a href="http://www.cam.ac.uk/research/features">Features</a>
          </li>
          <li>
            <a href="http://www.cam.ac.uk/research/discussion">Discussion</a>
          </li>
          <li>
            <a href="http://www.cam.ac.uk/research/spotlight-on">Spotlight on...</a>
          </li>
          <li>
            <a href="http://www.cam.ac.uk/research/research-at-cambridge">About research at Cambridge</a>
          </li>
        </ul>
      </div>
    </div>
  </div>
</div>
